Package ru.bitel.bgbilling.modules.email.common.service

# Interface EmailService

public interface EmailService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `accountDelete(int contractId, int id)`
  `Account`
  `accountGet(int id)`
  `int`
  `accountUpdate(int contractId, Account account, boolean autoPassword)`
  `List<AccountAttribute>`
  `attributeList()`
  `List<AttributeRow>`
  `attributeRows(int attributeId)`
  `void`
  `attributeValueUpdate(int attributeId, List<AttributeValue> valueList)`
  `void`
  `domainDelete(int domainId)`
  `Domain`
  `domainGet(int domainId)`
  `List<Domain>`
  `domainList(String orderBy)`
  `int`
  `domainUpdate(Domain domain)`
  `List<ru.bitel.bgbilling.common.model.KeyValue>`
  `forwardList(int contractId, int accountId)`
  `void`
  `forwardUpdate(int accountId, List<String> forwards)`
  `String`
  `passwordLog(int loginId)`
  `List<ru.bitel.bgbilling.common.model.KeyValue>`
  `quotaList()`

- ## Method Details

  - ### domainGet

    Domain domainGet(int domainId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### domainDelete

    void domainDelete(int domainId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### domainUpdate

    int domainUpdate(Domain domain) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### domainList

    List<Domain> domainList(String orderBy) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### attributeList

    List<AccountAttribute> attributeList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### attributeRows

    List<AttributeRow> attributeRows(int attributeId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### attributeValueUpdate

    void attributeValueUpdate(int attributeId, List<AttributeValue> valueList) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### quotaList

    List<ru.bitel.bgbilling.common.model.KeyValue> quotaList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### accountGet

    Account accountGet(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### accountUpdate

    int accountUpdate(int contractId, Account account, boolean autoPassword) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### accountDelete

    void accountDelete(int contractId, int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### forwardList

    List<ru.bitel.bgbilling.common.model.KeyValue> forwardList(int contractId, int accountId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### forwardUpdate

    void forwardUpdate(int accountId, List<String> forwards) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### passwordLog

    String passwordLog(int loginId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`